<div class="ui modal {{classes}}" [ngClass]="{ coupled: isCoupled }" #modal>
  <div class="header">
    <ng-content select="app-modal-header"></ng-content>
  </div>
  <div class="content">
    <ng-content select="app-modal-content"></ng-content>
  </div>
  <div class="actions">
    <ng-content #actions select="app-modal-button"></ng-content>
    <ng-container *ngIf="displayActions">
      <div class="ui button" (click)="onDeny()" #denyButton>Annuler</div>
      <div class="ui button" (click)="onApprove()" #approveButton>Valider</div>
    </ng-container>
  </div>
</div>
